import request from '@/utils/request'

// 商品类型
// 新增
export function addType(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'post',
        data: data
    })
}
// 删除
export function delType(deptId) {
    return request({
        url: '/dxtop/topChannel/' + deptId,
        method: 'delete',
    })
}
// 修改
export function updataType(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'put',
        data: data
    })
}

// 查询
export function getType(query) {
    return request({
        url: '/dxtop/topChannel/page',
        method: 'get',
        params: query
    })
}
// 导出
export function exportType(data) {
    return request({
        url: '/dxtop/order/exportDetail',
        method: 'post',
        data: data,
    })
}



// 商品管理
// 新增
export function addManage(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'post',
        data: data
    })
}
// 删除
export function delManage(deptId) {
    return request({
        url: '/dxtop/topChannel/' + deptId,
        method: 'delete',
    })
}
// 修改
export function updataManage(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'put',
        data: data
    })
}
// 查询
export function getManage(query) {
    return request({
        url: '/dxtop/topChannel/page',
        method: 'get',
        params: query
    })
}
// 导出
export function exportManage(data) {
    return request({
        url: '/dxtop/order/exportDetail',
        method: 'post',
        data: data,
    })
}


// 预约管理
// 新增
export function addBooking(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'post',
        data: data
    })
}
// 删除
export function delBooking(deptId) {
    return request({
        url: '/dxtop/topChannel/' + deptId,
        method: 'delete',
    })
}
// 修改
export function updataBooking(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'put',
        data: data
    })
}
// 查询
export function getBooking(query) {
    return request({
        url: '/dxtop/topChannel/page',
        method: 'get',
        params: query
    })
}
// 导出
export function exportBooking(data) {
    return request({
        url: '/dxtop/order/exportDetail',
        method: 'post',
        data: data,
    })
}